/*
Технические требования:

Считать с помощью модального окна браузера число, которое введет пользователь.
С помощью функции посчитать факториал числа, которое ввел пользователь, и вывести его на экран.
Использовать синтаксис ES6 для работы с перемеными и функциями.


Необязательное задание продвинутой сложности:

После ввода данных добавить проверку их корректности.Если пользователь не ввел число,
либо при вводе указал не число, - спросить число заново(при этом значением по умолчанию 
для него должна быть введенная ранее информация).
*/

/*
n!=n*(n-1)! - формула  факториал числа
*/

function checkValidNumber(variable) {
    if (!Number.isInteger(variable)) {
        return false;
    } else {
        return true;
    }
}

let userNamber = +prompt('введите число для расчёиа факториала');

while (!checkValidNumber(userNamber)) {
    userNamber = +prompt('Ошибка! Введите число');
}

function factorial(n) {
    if (n != 1) {
     return n * factorial(n - 1);
    } else {
        return true;
    }
}


alert(`Факториал Вашего числа ${userNamber}! = ${factorial(userNamber)}`);